summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-06-13 04:36:56 +0000
committer Eric Hameleers <alien@slackware.com>2019-06-13 17:59:55 +0200
commitefc2c592c6b9e41e17af665625cc4c6e5fe86076 (patch)
tree4378ba132cd728a33789c244f3dc17e736ac3c63
parent4164e53472bbb79e7b4052eacf2e7a20ce1d04d1 (diff)
downloadcurrent-efc2c592c6b9e41e17af665625cc4c6e5fe86076.tar.gz
current-efc2c592c6b9e41e17af665625cc4c6e5fe86076.tar.xz
Thu Jun 13 04:36:56 UTC 201920190613043656
a/less-551-x86_64-1.txz: Upgraded. l/babl-0.1.66-x86_64-1.txz: Upgraded. xap/gimp-2.10.12-x86_64-1.txz: Upgraded. testing/packages/mesa-19.1.0-x86_64-1.txz: Added.
-rw-r--r--ChangeLog.rss18
-rw-r--r--ChangeLog.txt6
-rw-r--r--FILELIST.TXT101
-rwxr-xr-xrecompress.sh1
-rw-r--r--testing/source/mesa/README.GIT16
-rw-r--r--testing/source/mesa/doinst.sh17
-rwxr-xr-xtesting/source/mesa/get-mesa.sh20
-rw-r--r--testing/source/mesa/glesv2.pc10
-rwxr-xr-xtesting/source/mesa/mesa.SlackBuild199
-rw-r--r--testing/source/mesa/mesa.url2
-rw-r--r--testing/source/mesa/slack-desc19
11 files changed, 364 insertions, 45 deletions
diff --git a/ChangeLog.rss b/ChangeLog.rss
index a5fee9d8..77a5233d 100644
--- a/ChangeLog.rss
+++ b/ChangeLog.rss
@@ -11,10 +11,24 @@
<description>Tracking Slackware development in git.</description>
<language>en-us</language>
<id xmlns="http://www.w3.org/2005/Atom">urn:uuid:c964f45e-6732-11e8-bbe5-107b4450212f</id>
- <pubDate>Wed, 12 Jun 2019 02:51:04 GMT</pubDate>
- <lastBuildDate>Wed, 12 Jun 2019 06:59:45 GMT</lastBuildDate>
+ <pubDate>Thu, 13 Jun 2019 04:36:56 GMT</pubDate>
+ <lastBuildDate>Thu, 13 Jun 2019 15:59:51 GMT</lastBuildDate>
<generator>maintain_current_git.sh v 1.11</generator>
<item>
+ <title>Thu, 13 Jun 2019 04:36:56 GMT</title>
+ <pubDate>Thu, 13 Jun 2019 04:36:56 GMT</pubDate>
+ <link>https://git.slackware.nl/current/tag/?h=20190613043656</link>
+ <guid isPermaLink="false">20190613043656</guid>
+ <description>
+ <![CDATA[<pre>
+a/less-551-x86_64-1.txz: Upgraded.
+l/babl-0.1.66-x86_64-1.txz: Upgraded.
+xap/gimp-2.10.12-x86_64-1.txz: Upgraded.
+testing/packages/mesa-19.1.0-x86_64-1.txz: Added.
+ </pre>]]>
+ </description>
+ </item>
+ <item>
<title>Wed, 12 Jun 2019 02:51:04 GMT</title>
<pubDate>Wed, 12 Jun 2019 02:51:04 GMT</pubDate>
<link>https://git.slackware.nl/current/tag/?h=20190612025104</link>
diff --git a/ChangeLog.txt b/ChangeLog.txt
index 4974500d..b3da7010 100644
--- a/ChangeLog.txt
+++ b/ChangeLog.txt
@@ -1,3 +1,9 @@
+Thu Jun 13 04:36:56 UTC 2019
+a/less-551-x86_64-1.txz: Upgraded.
+l/babl-0.1.66-x86_64-1.txz: Upgraded.
+xap/gimp-2.10.12-x86_64-1.txz: Upgraded.
+testing/packages/mesa-19.1.0-x86_64-1.txz: Added.
++--------------------------+
Wed Jun 12 02:51:04 UTC 2019
a/kernel-generic-4.19.50-x86_64-1.txz: Upgraded.
a/kernel-huge-4.19.50-x86_64-1.txz: Upgraded.
diff --git a/FILELIST.TXT b/FILELIST.TXT
index 4a0e9f48..881ff214 100644
--- a/FILELIST.TXT
+++ b/FILELIST.TXT
@@ -1,20 +1,20 @@
-Wed Jun 12 03:02:45 UTC 2019
+Thu Jun 13 04:48:43 UTC 2019
Here is the file list for this directory. If you are using a
mirror site and find missing or extra files in the disk
subdirectories, please have the archive administrator refresh
the mirror.
-drwxr-xr-x 12 root root 4096 2019-06-12 02:51 .
+drwxr-xr-x 12 root root 4096 2019-06-13 04:36 .
-rw-r--r-- 1 root root 10064 2016-06-30 18:39 ./ANNOUNCE.14_2
-rw-r--r-- 1 root root 14341 2018-11-29 05:40 ./CHANGES_AND_HINTS.TXT
--rw-r--r-- 1 root root 918682 2019-06-10 20:52 ./CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-06-10 20:52 ./CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 918682 2019-06-12 03:03 ./CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-06-12 03:03 ./CHECKSUMS.md5.asc
-rw-r--r-- 1 root root 17976 1994-06-10 02:28 ./COPYING
-rw-r--r-- 1 root root 35147 2007-06-30 04:21 ./COPYING3
-rw-r--r-- 1 root root 19573 2016-06-23 20:08 ./COPYRIGHT.TXT
-rw-r--r-- 1 root root 616 2006-10-02 04:37 ./CRYPTO_NOTICE.TXT
--rw-r--r-- 1 root root 641391 2019-06-12 02:51 ./ChangeLog.txt
+-rw-r--r-- 1 root root 641617 2019-06-13 04:36 ./ChangeLog.txt
drwxr-xr-x 3 root root 4096 2013-03-20 22:17 ./EFI
drwxr-xr-x 2 root root 4096 2019-06-12 00:23 ./EFI/BOOT
-rw-r--r-- 1 root root 1253376 2018-02-24 20:49 ./EFI/BOOT/bootx64.efi
@@ -25,9 +25,9 @@ drwxr-xr-x 2 root root 4096 2019-06-12 00:23 ./EFI/BOOT
-rwxr-xr-x 1 root root 2494 2018-02-24 20:49 ./EFI/BOOT/make-grub.sh
-rw-r--r-- 1 root root 10722 2013-09-21 19:02 ./EFI/BOOT/osdetect.cfg
-rw-r--r-- 1 root root 1273 2013-08-12 21:08 ./EFI/BOOT/tools.cfg
--rw-r--r-- 1 root root 1207530 2019-06-10 20:51 ./FILELIST.TXT
+-rw-r--r-- 1 root root 1207530 2019-06-12 03:02 ./FILELIST.TXT
-rw-r--r-- 1 root root 1572 2012-08-29 18:27 ./GPG-KEY
--rw-r--r-- 1 root root 733440 2019-06-12 03:00 ./PACKAGES.TXT
+-rw-r--r-- 1 root root 733440 2019-06-13 04:46 ./PACKAGES.TXT
-rw-r--r-- 1 root root 8564 2016-06-28 21:33 ./README.TXT
-rw-r--r-- 1 root root 3635 2019-06-11 23:40 ./README.initrd
-rw-r--r-- 1 root root 34412 2017-12-01 17:44 ./README_CRYPT.TXT
@@ -786,13 +786,13 @@ drwxr-xr-x 2 root root 4096 2012-09-20 18:06 ./patches
-rw-r--r-- 1 root root 575 2012-09-20 18:06 ./patches/FILE_LIST
-rw-r--r-- 1 root root 14 2012-09-20 18:06 ./patches/MANIFEST.bz2
-rw-r--r-- 1 root root 224 2012-09-20 18:06 ./patches/PACKAGES.TXT
-drwxr-xr-x 18 root root 4096 2019-06-12 03:01 ./slackware64
--rw-r--r-- 1 root root 290952 2019-06-12 03:01 ./slackware64/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-06-12 03:01 ./slackware64/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 362421 2019-06-12 02:58 ./slackware64/FILE_LIST
--rw-r--r-- 1 root root 3665977 2019-06-12 02:59 ./slackware64/MANIFEST.bz2
+drwxr-xr-x 18 root root 4096 2019-06-13 04:46 ./slackware64
+-rw-r--r-- 1 root root 290952 2019-06-13 04:46 ./slackware64/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-06-13 04:46 ./slackware64/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 362421 2019-06-13 04:44 ./slackware64/FILE_LIST
+-rw-r--r-- 1 root root 3660246 2019-06-13 04:45 ./slackware64/MANIFEST.bz2
lrwxrwxrwx 1 root root 15 2009-08-23 23:34 ./slackware64/PACKAGES.TXT -> ../PACKAGES.TXT
-drwxr-xr-x 2 root root 28672 2019-06-12 02:58 ./slackware64/a
+drwxr-xr-x 2 root root 28672 2019-06-13 04:44 ./slackware64/a
-rw-r--r-- 1 root root 327 2018-06-24 18:44 ./slackware64/a/aaa_base-14.2-x86_64-5.txt
-rw-r--r-- 1 root root 10820 2018-06-24 18:44 ./slackware64/a/aaa_base-14.2-x86_64-5.txz
-rw-r--r-- 1 root root 163 2018-06-24 18:44 ./slackware64/a/aaa_base-14.2-x86_64-5.txz.asc
@@ -963,9 +963,9 @@ drwxr-xr-x 2 root root 28672 2019-06-12 02:58 ./slackware64/a
-rw-r--r-- 1 root root 341 2018-04-13 13:07 ./slackware64/a/lbzip2-2.5-x86_64-2.txt
-rw-r--r-- 1 root root 86268 2018-04-13 13:07 ./slackware64/a/lbzip2-2.5-x86_64-2.txz
-rw-r--r-- 1 root root 163 2018-04-13 13:07 ./slackware64/a/lbzip2-2.5-x86_64-2.txz.asc
--rw-r--r-- 1 root root 386 2019-06-05 18:09 ./slackware64/a/less-550-x86_64-1.txt
--rw-r--r-- 1 root root 120680 2019-06-05 18:09 ./slackware64/a/less-550-x86_64-1.txz
--rw-r--r-- 1 root root 163 2019-06-05 18:09 ./slackware64/a/less-550-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 386 2019-06-12 18:14 ./slackware64/a/less-551-x86_64-1.txt
+-rw-r--r-- 1 root root 120700 2019-06-12 18:14 ./slackware64/a/less-551-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-06-12 18:14 ./slackware64/a/less-551-x86_64-1.txz.asc
-rw-r--r-- 1 root root 152 2018-04-13 13:07 ./slackware64/a/lha-114i-x86_64-2.txt
-rw-r--r-- 1 root root 49220 2018-04-13 13:07 ./slackware64/a/lha-114i-x86_64-2.txz
-rw-r--r-- 1 root root 163 2018-04-13 13:07 ./slackware64/a/lha-114i-x86_64-2.txz.asc
@@ -2457,7 +2457,7 @@ drwxr-xr-x 2 root root 20480 2016-03-10 03:11 ./slackware64/kdei
-rw-r--r-- 1 root root 7544 2018-03-01 07:54 ./slackware64/kdei/maketag
-rw-r--r-- 1 root root 7544 2018-03-01 07:54 ./slackware64/kdei/maketag.ez
-rw-r--r-- 1 root root 1500 2018-03-01 07:54 ./slackware64/kdei/tagfile
-drwxr-xr-x 2 root root 69632 2019-06-12 02:57 ./slackware64/l
+drwxr-xr-x 2 root root 69632 2019-06-13 04:44 ./slackware64/l
-rw-r--r-- 1 root root 338 2018-04-13 14:13 ./slackware64/l/ConsoleKit2-1.0.0-x86_64-4.txt
-rw-r--r-- 1 root root 149752 2018-04-13 14:13 ./slackware64/l/ConsoleKit2-1.0.0-x86_64-4.txz
-rw-r--r-- 1 root root 163 2018-04-13 14:13 ./slackware64/l/ConsoleKit2-1.0.0-x86_64-4.txz.asc
@@ -2554,9 +2554,9 @@ drwxr-xr-x 2 root root 69632 2019-06-12 02:57 ./slackware64/l
-rw-r--r-- 1 root root 454 2018-04-13 14:23 ./slackware64/l/automoc4-0.9.88-x86_64-2.txt
-rw-r--r-- 1 root root 25792 2018-04-13 14:23 ./slackware64/l/automoc4-0.9.88-x86_64-2.txz
-rw-r--r-- 1 root root 163 2018-04-13 14:23 ./slackware64/l/automoc4-0.9.88-x86_64-2.txz.asc
--rw-r--r-- 1 root root 517 2019-05-27 18:05 ./slackware64/l/babl-0.1.64-x86_64-1.txt
--rw-r--r-- 1 root root 275264 2019-05-27 18:05 ./slackware64/l/babl-0.1.64-x86_64-1.txz
--rw-r--r-- 1 root root 163 2019-05-27 18:05 ./slackware64/l/babl-0.1.64-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 517 2019-06-13 00:35 ./slackware64/l/babl-0.1.66-x86_64-1.txt
+-rw-r--r-- 1 root root 275624 2019-06-13 00:35 ./slackware64/l/babl-0.1.66-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-06-13 00:35 ./slackware64/l/babl-0.1.66-x86_64-1.txz.asc
-rw-r--r-- 1 root root 431 2019-04-12 20:23 ./slackware64/l/boost-1.70.0-x86_64-1.txt
-rw-r--r-- 1 root root 10445832 2019-04-12 20:23 ./slackware64/l/boost-1.70.0-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-04-12 20:23 ./slackware64/l/boost-1.70.0-x86_64-1.txz.asc
@@ -4767,7 +4767,7 @@ drwxr-xr-x 2 root root 65536 2019-06-10 20:47 ./slackware64/x
-rw-r--r-- 1 root root 213 2018-04-13 06:10 ./slackware64/x/xwud-1.0.5-x86_64-2.txt
-rw-r--r-- 1 root root 25288 2018-04-13 06:10 ./slackware64/x/xwud-1.0.5-x86_64-2.txz
-rw-r--r-- 1 root root 163 2018-04-13 06:10 ./slackware64/x/xwud-1.0.5-x86_64-2.txz.asc
-drwxr-xr-x 2 root root 12288 2019-06-07 18:46 ./slackware64/xap
+drwxr-xr-x 2 root root 12288 2019-06-13 04:44 ./slackware64/xap
-rw-r--r-- 1 root root 625 2019-04-18 19:18 ./slackware64/xap/MPlayer-20190418-x86_64-1.txt
-rw-r--r-- 1 root root 2734976 2019-04-18 19:18 ./slackware64/xap/MPlayer-20190418-x86_64-1.txz
-rw-r--r-- 1 root root 163 2019-04-18 19:18 ./slackware64/xap/MPlayer-20190418-x86_64-1.txz.asc
@@ -4804,9 +4804,9 @@ drwxr-xr-x 2 root root 12288 2019-06-07 18:46 ./slackware64/xap
-rw-r--r-- 1 root root 443 2019-04-03 21:18 ./slackware64/xap/gftp-2.0.19-x86_64-8.txt
-rw-r--r-- 1 root root 584320 2019-04-03 21:18 ./slackware64/xap/gftp-2.0.19-x86_64-8.txz
-rw-r--r-- 1 root root 163 2019-04-03 21:18 ./slackware64/xap/gftp-2.0.19-x86_64-8.txz.asc
--rw-r--r-- 1 root root 471 2019-04-07 20:27 ./slackware64/xap/gimp-2.10.10-x86_64-1.txt
--rw-r--r-- 1 root root 18925848 2019-04-07 20:27 ./slackware64/xap/gimp-2.10.10-x86_64-1.txz
--rw-r--r-- 1 root root 163 2019-04-07 20:27 ./slackware64/xap/gimp-2.10.10-x86_64-1.txz.asc
+-rw-r--r-- 1 root root 471 2019-06-13 00:43 ./slackware64/xap/gimp-2.10.12-x86_64-1.txt
+-rw-r--r-- 1 root root 19002668 2019-06-13 00:43 ./slackware64/xap/gimp-2.10.12-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-06-13 00:43 ./slackware64/xap/gimp-2.10.12-x86_64-1.txz.asc
-rw-r--r-- 1 root root 513 2018-11-26 22:12 ./slackware64/xap/gkrellm-2.3.10-x86_64-5.txt
-rw-r--r-- 1 root root 567300 2018-11-26 22:12 ./slackware64/xap/gkrellm-2.3.10-x86_64-5.txz
-rw-r--r-- 1 root root 163 2018-11-26 22:12 ./slackware64/xap/gkrellm-2.3.10-x86_64-5.txz.asc
@@ -5007,11 +5007,11 @@ drwxr-xr-x 2 root root 4096 2019-02-17 23:51 ./slackware64/y
-rw-r--r-- 1 root root 1147 2018-03-01 07:55 ./slackware64/y/maketag
-rw-r--r-- 1 root root 1147 2018-03-01 07:55 ./slackware64/y/maketag.ez
-rw-r--r-- 1 root root 14 2018-03-01 07:55 ./slackware64/y/tagfile
-drwxr-xr-x 19 root root 4096 2019-06-12 03:02 ./source
--rw-r--r-- 1 root root 467270 2019-06-12 03:02 ./source/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-06-12 03:02 ./source/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 659261 2019-06-12 03:01 ./source/FILE_LIST
--rw-r--r-- 1 root root 16830283 2019-06-12 03:01 ./source/MANIFEST.bz2
+drwxr-xr-x 19 root root 4096 2019-06-13 04:48 ./source
+-rw-r--r-- 1 root root 467270 2019-06-13 04:48 ./source/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-06-13 04:48 ./source/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 659261 2019-06-13 04:47 ./source/FILE_LIST
+-rw-r--r-- 1 root root 16840864 2019-06-13 04:47 ./source/MANIFEST.bz2
-rw-r--r-- 1 root root 1314 2006-10-02 04:40 ./source/README.TXT
drwxr-xr-x 111 root root 4096 2019-05-25 03:26 ./source/a
-rw-r--r-- 1 root root 1034 2019-05-04 17:56 ./source/a/FTBFSlog
@@ -5483,8 +5483,8 @@ drwxr-xr-x 2 root root 4096 2018-09-18 23:52 ./source/a/lbzip2
-rwxr-xr-x 1 root root 4425 2018-09-18 23:52 ./source/a/lbzip2/lbzip2.SlackBuild
-rw-r--r-- 1 root root 420 2018-09-18 23:52 ./source/a/lbzip2/lbzip2.glibc228.diff.gz
-rw-r--r-- 1 root root 827 2018-04-11 19:09 ./source/a/lbzip2/slack-desc
-drwxr-xr-x 2 root root 4096 2019-06-05 18:09 ./source/a/less
--rw-r--r-- 1 root root 253553 2019-02-16 22:24 ./source/a/less/less-550.tar.lz
+drwxr-xr-x 2 root root 4096 2019-06-12 18:14 ./source/a/less
+-rw-r--r-- 1 root root 253471 2019-06-11 18:12 ./source/a/less/less-551.tar.lz
-rwxr-xr-x 1 root root 4062 2019-06-05 18:09 ./source/a/less/less.SlackBuild
-rw-r--r-- 1 root root 39 2019-06-05 18:08 ./source/a/less/less.url
-rw-r--r-- 1 root root 1361 2017-05-20 22:18 ./source/a/less/lesspipe.sh.gz
@@ -8244,8 +8244,8 @@ drwxr-xr-x 2 root root 4096 2018-09-18 22:04 ./source/l/automoc4
-rw-r--r-- 1 root root 9153 2009-01-22 18:51 ./source/l/automoc4/automoc4-0.9.88.tar.bz2
-rwxr-xr-x 1 root root 3196 2018-09-18 22:04 ./source/l/automoc4/automoc4.SlackBuild
-rw-r--r-- 1 root root 909 2018-02-27 06:12 ./source/l/automoc4/slack-desc
-drwxr-xr-x 2 root root 4096 2019-05-27 18:05 ./source/l/babl
--rw-r--r-- 1 root root 562237 2019-05-25 17:02 ./source/l/babl/babl-0.1.64.tar.lz
+drwxr-xr-x 2 root root 4096 2019-06-13 00:35 ./source/l/babl
+-rw-r--r-- 1 root root 562478 2019-06-12 17:48 ./source/l/babl/babl-0.1.66.tar.lz
-rwxr-xr-x 1 root root 3761 2018-09-18 22:04 ./source/l/babl/babl.SlackBuild
-rw-r--r-- 1 root root 36 2018-04-18 18:26 ./source/l/babl/babl.url
-rw-r--r-- 1 root root 972 2018-02-27 06:12 ./source/l/babl/slack-desc
@@ -12376,8 +12376,8 @@ drwxr-xr-x 2 root root 4096 2019-04-03 20:40 ./source/xap/gftp
-rwxr-xr-x 1 root root 3764 2019-04-03 20:40 ./source/xap/gftp/gftp.SlackBuild
-rw-r--r-- 1 root root 304 2008-12-02 20:08 ./source/xap/gftp/gftp.desktop.gz
-rw-r--r-- 1 root root 895 2018-02-27 06:13 ./source/xap/gftp/slack-desc
-drwxr-xr-x 2 root root 4096 2019-04-07 20:19 ./source/xap/gimp
--rw-r--r-- 1 root root 24864734 2019-04-07 16:58 ./source/xap/gimp/gimp-2.10.10.tar.lz
+drwxr-xr-x 2 root root 4096 2019-06-13 00:33 ./source/xap/gimp
+-rw-r--r-- 1 root root 24974537 2019-06-12 21:35 ./source/xap/gimp/gimp-2.10.12.tar.lz
-rwxr-xr-x 1 root root 4603 2018-09-18 22:04 ./source/xap/gimp/gimp.SlackBuild
-rw-r--r-- 1 root root 923 2018-02-27 06:13 ./source/xap/gimp/slack-desc
drwxr-xr-x 2 root root 4096 2018-05-06 19:33 ./source/xap/gkrellm
@@ -12861,14 +12861,29 @@ drwxr-xr-x 2 root root 4096 2019-02-17 22:03 ./source/y/bsd-games/patches
-rw-r--r-- 1 root root 313 2019-02-17 22:07 ./source/y/bsd-games/patches/bsd-games.fortunepath.diff.gz
-rw-r--r-- 1 root root 1960 2006-09-09 00:47 ./source/y/bsd-games/patches/bsd-games.pom.diff.gz
-rw-r--r-- 1 root root 1065 2019-02-17 22:28 ./source/y/bsd-games/slack-desc
-drwxr-xr-x 4 root root 4096 2019-01-08 21:28 ./testing
--rw-r--r-- 1 root root 552 2019-01-08 21:28 ./testing/CHECKSUMS.md5
--rw-r--r-- 1 root root 163 2019-01-08 21:28 ./testing/CHECKSUMS.md5.asc
--rw-r--r-- 1 root root 685 2019-01-08 21:28 ./testing/FILE_LIST
--rw-r--r-- 1 root root 14 2019-01-08 21:28 ./testing/MANIFEST.bz2
--rw-r--r-- 1 root root 224 2019-01-08 21:28 ./testing/PACKAGES.TXT
-drwxr-xr-x 2 root root 4096 2019-01-08 20:12 ./testing/packages
-drwxr-xr-x 2 root root 4096 2019-01-08 20:12 ./testing/source
+drwxr-xr-x 4 root root 4096 2019-06-13 04:48 ./testing
+-rw-r--r-- 1 root root 1394 2019-06-13 04:48 ./testing/CHECKSUMS.md5
+-rw-r--r-- 1 root root 163 2019-06-13 04:48 ./testing/CHECKSUMS.md5.asc
+-rw-r--r-- 1 root root 1888 2019-06-13 04:48 ./testing/FILE_LIST
+-rw-r--r-- 1 root root 55759 2019-06-13 04:48 ./testing/MANIFEST.bz2
+-rw-r--r-- 1 root root 725 2019-06-13 04:48 ./testing/PACKAGES.TXT
+drwxr-xr-x 2 root root 4096 2019-06-13 04:48 ./testing/packages
+-rw-r--r-- 1 root root 333 2019-06-13 02:27 ./testing/packages/mesa-19.1.0-x86_64-1.txt
+-rw-r--r-- 1 root root 10638976 2019-06-13 02:27 ./testing/packages/mesa-19.1.0-x86_64-1.txz
+-rw-r--r-- 1 root root 163 2019-06-13 02:27 ./testing/packages/mesa-19.1.0-x86_64-1.txz.asc
+drwxr-xr-x 3 root root 4096 2019-06-13 02:19 ./testing/source
+drwxr-xr-x 3 root root 4096 2019-06-12 19:30 ./testing/source/mesa
+-rw-r--r-- 1 root root 352 2008-03-10 07:13 ./testing/source/mesa/README.GIT
+-rw-r--r-- 1 root root 388 2018-12-07 19:28 ./testing/source/mesa/doinst.sh.gz
+-rwxr-xr-x 1 root root 720 2015-12-11 03:09 ./testing/source/mesa/get-mesa.sh
+-rw-r--r-- 1 root root 227 2019-06-12 19:30 ./testing/source/mesa/glesv2.pc
+-rw-r--r-- 1 root root 10926676 2019-06-11 15:19 ./testing/source/mesa/mesa-19.1.0.tar.xz
+-rw-r--r-- 1 root root 566 2019-06-11 15:19 ./testing/source/mesa/mesa-19.1.0.tar.xz.sig
+-rw-r--r-- 1 root root 7206679 2018-02-23 08:54 ./testing/source/mesa/mesa-demos-8.4.0.tar.lz
+-rwxr-xr-x 1 root root 6278 2019-06-12 19:35 ./testing/source/mesa/mesa.SlackBuild
+-rw-r--r-- 1 root root 78 2010-10-01 04:23 ./testing/source/mesa/mesa.url
+drwxr-xr-x 2 root root 4096 2018-03-22 06:30 ./testing/source/mesa/patches
+-rw-r--r-- 1 root root 785 2018-02-27 06:13 ./testing/source/mesa/slack-desc
drwxr-xr-x 2 root root 4096 2019-06-12 00:23 ./usb-and-pxe-installers
-rw-r--r-- 1 root root 31203 2011-03-21 21:21 ./usb-and-pxe-installers/README_PXE.TXT
-rw-r--r-- 1 root root 9197 2013-09-25 04:33 ./usb-and-pxe-installers/README_USB.TXT
diff --git a/recompress.sh b/recompress.sh
index 4b2b9ac4..c52f6438 100755
--- a/recompress.sh
+++ b/recompress.sh
@@ -1194,6 +1194,7 @@ gzip ./source/x/x11/patch/xinit/xinit.remove.systemd.kludge.diff
gzip ./source/x/x11/patch/xf86-video-intel/0001-sna-Avoid-clobbering-output-physical-size-with-xf86O.patch
gzip ./source/x/x11/patch/xf86-video-s3virge/xf86-video-s3virge.xorg-server-1.20.x.diff
gzip ./source/x/xcm/xcm.udev.rules.diff
+gzip ./testing/source/mesa/doinst.sh
gzip ./pasture/source/php/php-fpm.conf.diff
gzip ./pasture/source/php/doinst.sh
gzip ./pasture/source/php/PHP-5.6.31-OpenSSL-1.1.0-compatibility-20170801.patch
diff --git a/testing/source/mesa/README.GIT b/testing/source/mesa/README.GIT
new file mode 100644
index 00000000..4e79f374
--- /dev/null
+++ b/testing/source/mesa/README.GIT
@@ -0,0 +1,16 @@
+Anonymous git Access
+
+ To get the Mesa sources anonymously (read-only):
+
+ 1. Install the git software on your computer if needed.
+
+ 2. Get an initial, local copy of the repository with:
+
+ git clone git://anongit.freedesktop.org/git/mesa/mesa
+
+
+ 3. Later, you can update your tree from the master repository with:
+
+ git pull origin
+
+
diff --git a/testing/source/mesa/doinst.sh b/testing/source/mesa/doinst.sh
new file mode 100644
index 00000000..d6297d69
--- /dev/null
+++ b/testing/source/mesa/doinst.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+# Don't mess with /etc/drirc. Mesa now installs the defaults as
+# /usr/share/drirc.d/00-mesa-defaults.conf. We won't protect that
+# as a .new file as it shouldn't be modified. Create /etc/drirc if
+# you need local overrides.
+#config etc/drirc.new
diff --git a/testing/source/mesa/get-mesa.sh b/testing/source/mesa/get-mesa.sh
new file mode 100755
index 00000000..b8832998
--- /dev/null
+++ b/testing/source/mesa/get-mesa.sh
@@ -0,0 +1,20 @@
+# Pull a stable branch + patches
+BRANCH=7.10
+
+rm -rf mesa
+git clone git://anongit.freedesktop.org/git/mesa/mesa
+# package the source archive and clean up:
+( cd mesa
+ git checkout $BRANCH || exit 1
+)
+HEADISAT="$(cat mesa/.git/packed-refs | grep "refs/remotes/origin/${BRANCH}$" | cut -b1-7)"
+# Cleanup. We're not packing up the whole git repo.
+( cd mesa && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+DATE=$(date +%Y%m%d)
+mv mesa mesa-${BRANCH}_${HEADISAT}
+tar cf mesa-${BRANCH}_${HEADISAT}.tar mesa-${BRANCH}_${HEADISAT}
+xz -9 mesa-${BRANCH}_${HEADISAT}.tar
+rm -rf mesa-${BRANCH}_${HEADISAT}
+echo
+echo "Mesa branch $BRANCH with HEAD at $HEADISAT packaged as mesa-${BRANCH}_${HEADISAT}.tar.xz"
+echo
diff --git a/testing/source/mesa/glesv2.pc b/testing/source/mesa/glesv2.pc
new file mode 100644
index 00000000..7af1555b
--- /dev/null
+++ b/testing/source/mesa/glesv2.pc
@@ -0,0 +1,10 @@
+prefix=/usr
+libdir=${prefix}/lib64
+includedir=${prefix}/include
+
+Name: glesv2
+Description: Mesa OpenGL ES 2.0 library
+Version: 19.1.0
+Libs: -L${libdir} -lGLESv2
+Libs.private: -lpthread -pthread -lm -ldl
+Cflags: -I${includedir}
diff --git a/testing/source/mesa/mesa.SlackBuild b/testing/source/mesa/mesa.SlackBuild
new file mode 100755
index 00000000..87a2178c
--- /dev/null
+++ b/testing/source/mesa/mesa.SlackBuild
@@ -0,0 +1,199 @@
+#!/bin/bash
+
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013, 2014, 2015, 2016, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=mesa
+VERSION=${VERSION:-$(echo $PKGNAM-1*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+DEMOVERS=${DEMOVERS:-8.4.0}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+# Be sure this list is up-to-date:
+DRI_DRIVERS="i915,i965,r100,r200,nouveau"
+GALLIUM_DRIVERS="nouveau,r300,r600,svga,radeonsi,swrast,virgl"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-mesa
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+
+tar xvf $CWD/${PKGNAM}-${VERSION}.tar.xz || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Let's kill the warning about operating on a dangling symlink:
+rm -f src/gallium/state_trackers/d3d1x/w32api
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Apply patches from git (and maybe elsewhere):
+# Patches obtained by:
+# git checkout origin/17.2
+# git format-patch 93c2beafc0a7fa2f210b006d22aba61caa71f773 # 17.2.6 release
+if /bin/ls $CWD/patches/*.patch 1> /dev/null 2> /dev/null ; then
+ for patch in $CWD/patches/*.patch ; do
+ patch -p1 < $patch || exit 1 ;
+ done
+fi
+
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dplatforms=x11,drm,surfaceless \
+ -Dgallium-opencl=icd \
+ -Dgallium-nine=true \
+ -Dosmesa=gallium \
+ -Ddri-drivers=$DRI_DRIVERS \
+ -Dgallium-drivers=$GALLIUM_DRIVERS \
+ -Ddri-drivers-path=/usr/lib${LIBDIRSUFFIX}/xorg/modules/dri \
+ -Dglvnd=true \
+ -Dllvm=true \
+ -Dshared-llvm=true \
+ -Dshared-glapi=true \
+ -Degl=true \
+ -Dgles1=false \
+ -Dgles2=true \
+ .. || exit 1
+ ninja || exit 1
+ DESTDIR=$PKG ninja install || exit 1
+cd ..
+
+# Install /etc/drirc as a .new file:
+if [ -r $PKG/etc/drirc ]; then
+ mv $PKG/etc/drirc $PKG/etc/drirc.new
+fi
+
+# Install glesv2.pc:
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+cat $CWD/glesv2.pc > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/glesv2.pc
+if [ ! "${LIBDIRSUFFIX}" = "64" ]; then
+ sed -i "s/lib64/lib/g" $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/glesv2.pc
+fi
+
+# Now build/install a small subset of the demos:
+export CWD SLKCFLAGS NUMJOBS PKG
+( cd $TMP
+ rm -rf mesa-demos-$DEMOVERS
+ tar xvf $CWD/mesa-demos-$DEMOVERS.tar.?z* || exit 1
+ cd mesa-demos-$DEMOVERS
+ chown -R root:root .
+ find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+ CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux || exit 1
+ make $NUMJOBS || exit 1
+ # Install all the demos (including the pointless ones) at first, in a
+ # temporary location:
+ make install DESTDIR=$PKG/cruft || exit 1
+ # Install gears and glinfo, as well as a few other demos:
+ mkdir -p $PKG/usr/bin
+ for demo in gears glinfo glthreads glxcontexts glxdemo glxgears \
+ glxgears_fbconfig glxheads glxinfo glxpbdemo glxpixmap ; do
+ mv --verbose $PKG/cruft/usr/bin/$demo $PKG/usr/bin
+ done
+ # Remove cruft:
+ rm -rf $PKG/cruft
+) || exit 1
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ rm -f $PKG/usr/info/dir
+ gzip -9 $PKG/usr/info/*
+fi
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/html
+cp -a \
+ docs/COPYING* docs/relnotes/${VERSION}.html docs/README* docs/GL* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a docs/*.html $PKG/usr/doc/$PKGNAM-$VERSION/html
+rm -f $PKG/usr/doc/$PKGNAM-$VERSION/html/relnotes*.html
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/testing/source/mesa/mesa.url b/testing/source/mesa/mesa.url
new file mode 100644
index 00000000..3f30cc84
--- /dev/null
+++ b/testing/source/mesa/mesa.url
@@ -0,0 +1,2 @@
+ftp://ftp.freedesktop.org/pub/mesa/
+ftp://ftp.freedesktop.org/pub/mesa/demos/
diff --git a/testing/source/mesa/slack-desc b/testing/source/mesa/slack-desc
new file mode 100644
index 00000000..32a085fb
--- /dev/null
+++ b/testing/source/mesa/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mesa: mesa (a 3-D graphics library)
+mesa:
+mesa: Mesa is a 3-D graphics library with an API very similar to that of
+mesa: another well-known 3-D graphics library. :-) The Mesa libraries are
+mesa: used by X to provide both software and hardware accelerated graphics.
+mesa:
+mesa: Mesa was written by Brian Paul.
+mesa:
+mesa:
+mesa:
+mesa: